import React from 'react';
import '@grapecity/spread-sheets-designer-resources-en';
import * as GC from "@grapecity/spread-sheets";
import { Designer } from '@grapecity/spread-sheets-designer-react';
import "@grapecity/spread-sheets-designer/styles/gc.spread.sheets.designer.min.css"
import "@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css"

function App() {
  const designerInit = (designer) => {

    let spread = designer.getWorkbook();
    spread.setSheetCount(5);


    // Override the Designer.deleteSheet command
    let oldDeleteSheetCmd = spread.commandManager()["Designer.deleteSheet"].execute;
    spread.commandManager()["Designer.deleteSheet"].execute = function (spread, options) {
      let result = oldDeleteSheetCmd.apply(this, arguments);
      console.log("Sheet Deleted");
      console.log("SheetName: " + options.sheetName);
      console.log("Selections: ");
      console.log(options.selections[0]);
      return result;
    }

  }
  return (
    <Designer styleInfo={{ width: "100%", height: '98vh' }} designerInitialized={designerInit}></Designer>
  );

}

export default App;
